## Class exception

zeep::exception — base class of the exceptions thrown by libzeep

## Synopsis

    // In header: <zeep/exception.hpp>

    class exception : public std::exception {
    public:
      // construct/copy/destruct
      exception(const std::string &);
      ~exception();

      // public member functions
      virtual const char * what() const;
    };

## Description

### `exception` public construct/copy/destruct

1.     exception(const std::string & message);

   Create an exception with the message in message.

2.     ~exception();

### `exception` public member functions

1.     virtual const char * what() const;